﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="WebOptimizer.aspx.cs" Inherits="HTTPDebuggerTools.com.WebOptimizer" 
validateRequest="false" %>

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>Web Optimizer</title>
    <meta name="keywords" content="web optimizer, html optimizer, css optimizer, javascript optimizer" />
    
    <script src="Highlighter/shCore.js" type="text/javascript"></script>
    <script src="Highlighter/shBrushXml.js" type="text/javascript"></script>
    <link href="Highlighter/shCore.css" rel="stylesheet" type="text/css" />
    <link href="Highlighter/shThemeDefault.css" rel="stylesheet" type="text/css" />        
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </asp:ToolkitScriptManager>
    
    <script type="text/javascript">
        window.onload = function() {
            if ($get('ResultData') != null) {
                $get('ResultData').style.display = 'block';
            }

            HideCustomBox();
        }
        
        SyntaxHighlighter.all();
    </script>
                
    <asp:NoBot ID="NoBot1" runat="server" />
    
    <h2>Web Optimizer</h2>
    
    <table>
        <tr valign="top">
            <th>
                <asp:Label ID="CodeLabel" runat="server" Text="Source Code:" CssClass="font_bold"></asp:Label>
            </th>
            <td>
                <asp:TextBox ID="SourceBox" runat="server" Width="540px" Height="100px" 
                    TextMode="MultiLine"></asp:TextBox>  
                <asp:TextBoxWatermarkExtender ID="TextBoxWatermarkExtender1" 
                    runat="server" Enabled="True" TargetControlID="SourceBox"         
                    WatermarkText="Enter your HTML, CSS or JavaScript here." 
                    WatermarkCssClass="watermark">
                </asp:TextBoxWatermarkExtender>
            </td>            
        </tr>  
        <tr>
            <th>
                <asp:Label ID="TypeLabel" runat="server" Text="Source Type:"></asp:Label>
            </th>
            <td>
                <asp:DropDownList ID="TypeList" runat="server" Width="180px" >
                    <asp:ListItem Selected="True">HTML</asp:ListItem>
                    <asp:ListItem>CSS</asp:ListItem>
                    <asp:ListItem>JavaScript</asp:ListItem>
                </asp:DropDownList>                
            </td>            
        </tr>                         
    </table>
    <br />    
    <asp:Button ID="OptimizeBtn" runat="server" Text="Optimize" 
        CssClass="font_bold" onclick="OptimizeBtn_Click" />
    &nbsp;&nbsp;
    
    <br />
    <br />
    <br />
    
    <div id="ResultData" class="nooverflow">
        <asp:Literal ID="ResultLiteral" runat="server" ></asp:Literal>
    </div>
        
    <asp:TextBox ID="ResultBox" runat="server" Width="580px" Height="120px" 
        TextMode="MultiLine" ReadOnly="True" Visible="False" CssClass="font_ronly"></asp:TextBox>  
    
    <br />
    <br style="line-height: 200px;" />
    
</asp:Content>
