﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebTools.Default" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>FREE Web Tools</title>
    <meta name="keywords" content="free web tools" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <h2>Overview</h2>
    <p>This starter kit contains the full source code of FREE Web Tools provided by the HTTP Debugger Team.</p>
    <p>The source code will help you to learn:</p>
    <ul>
    <li>The basics of using the ASP.NET Ajax Toolkit;</li>
    <li>How to send the custom HTTP requests from your website;</li>
    <li>How to analyze the HTTP response headers;</li>
    <li>How to work with the Base64 and the URL encodings;</li>
    <li>The essentials of the ASP.NET ViewState mechanism;</li>
    <li>The RegExp at action;</li>
    <li>How to highlight the HTML syntax on your page using the SyntaxHighlighter provided by Alex Gorbatchev.<br/><br/></li>
    </ul>

    <p>To run the FREE Web Tools project, you will need the Microsoft&reg; Visual Studio&reg; 2008 with the installed ASP.NET Ajax Toolkit.</p>

    <h2>Releases and Updates</h2>
    <p>We constantly improve the toolkit by adding tools, expending features and fixing bugs. Visit our website regularly for new releases and updates.
    If you found any bugs or would like to share ideas of new tools or improvements to be included into our toolkit, please feel free to <a href="http://www.httpdebugger.com/contact.html">contact us</a>.
    </p>

    <h2>Terms</h2>
    <p>You can use the provided toolkit FREE for personal and commercial use as long as you keep the direct link to the <a href="http://www.httpdebugger.com">HTTP Debugger Pro</a>. To use the kit without this link, please <a href="http://www.httpdebugger.com/contact.html">contact us</a>.
    </p>
</asp:Content>
