﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="URLEncodeDecode.aspx.cs" Inherits="HTTPDebuggerTools.com.URLEncodeDecode" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>URL Encoder / Decoder</title>
    <meta name="keywords" content="url encoder, url decoder" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </asp:ToolkitScriptManager>

    <asp:NoBot ID="NoBot1" runat="server" />
    
    <h2>URL Encoder / Decoder</h2>
       
    <asp:TextBox ID="SourceBox" runat="server" Width="580px" Height="100px" 
        TextMode="MultiLine"></asp:TextBox>  
    <asp:TextBoxWatermarkExtender ID="TextBoxWatermarkExtender1" 
        runat="server" Enabled="True" TargetControlID="SourceBox"         
        WatermarkText="Enter your URL here." 
        WatermarkCssClass="watermark">
    </asp:TextBoxWatermarkExtender>
    <br />
    
    <asp:TextBox ID="ResultBox" runat="server" Width="580px" Height="120px" 
        TextMode="MultiLine" ReadOnly="True" Visible="False" CssClass="font_ronly"></asp:TextBox>  
    
    <br />
    <br />
    
    <asp:Button ID="EncodeBtn" runat="server" Text="Encode" Width="100px" 
        onclick="EncodeBtn_Click" />
    &nbsp;
    <asp:Button ID="DecodeBtn" runat="server" Text="Decode" Width="100px" 
        onclick="DecodeBtn_Click" />
    &nbsp;&nbsp;
    <asp:Button ID="EscapeBtn" runat="server" Text="Escape" Width="100px" 
        onclick="EscapeBtn_Click" />
    &nbsp;
    <asp:Button ID="UnescapeBtn" runat="server" Text="Unescape" Width="100px" 
        onclick="UnescapeBtn_Click" /><br />    
    
    <br />
    <asp:Label ID="ErrorLabel" runat="server" Text="Error" Visible="False" CssClass="statuserr"></asp:Label>           
    <br />
    <br style="line-height: 250px;" />
   
</asp:Content>
