﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="ViewstateDecoder.aspx.cs" Inherits="HTTPDebuggerTools.com.ViewstateDecoder" %>
<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" TagPrefix="asp" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <title>ASP.NET ViewState Decoder</title>
    <meta name="keywords" content="decode viewstate, viewstate decoder, parse viewstate" />
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <asp:ToolkitScriptManager ID="ToolkitScriptManager1" runat="server">
    </asp:ToolkitScriptManager>
    
    <asp:NoBot ID="NoBot1" runat="server" />
    
    <h2>ASP.NET ViewState Decoder</h2>
       
    <asp:TextBox ID="ViewStateBox" runat="server" Width="580px" Height="100px" 
        TextMode="MultiLine"></asp:TextBox>  
    <asp:TextBoxWatermarkExtender ID="ViewStateBox_TextBoxWatermarkExtender" 
        runat="server" Enabled="True" TargetControlID="ViewStateBox"         
        WatermarkText="Enter the URL (must start with 'http://' or 'https://') or ViewState data here. For example:&#13;&#13;http://www.httpdebugger.com/tools/&#13;or&#13;/wEPDwULLTEwMDUyNjYzMjhkZE9EJUvNOHkIRVCou1/Yil07R+QIzpalkjCJXr5UoJ6F" 
        WatermarkCssClass="watermark">
    </asp:TextBoxWatermarkExtender>
    <br />
    <br />
    <asp:Button ID="DecodeBtn" runat="server" Text="Decode" Width="100px" onclick="DecodeBtn_Click" /><br />
    <br /><br />
    
    <asp:Literal ID="RawLiteral" runat="server" EnableViewState="False"></asp:Literal>    
    <asp:Literal ID="ResultLiteral" runat="server" EnableViewState="False"></asp:Literal>
    <br />
    <br style="line-height: 250px;" />
            
</asp:Content>
